---
{%- from "k9s/map.jinja" import k9s with context %}
k9s-archive-extract:
  archive.extracted:
    - name: {{ k9s.release_dir }}/k9s-v{{ k9s.version }}-{{ k9s.os }}-{{ k9s.arch }}
    - source: {{ k9s.mirror }}/v{{ k9s.version }}/k9s_{{ k9s.os }}_{{ k9s.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ k9s.release_dir }}/k9s-v{{ k9s.version }}-{{ k9s.os }}-{{ k9s.arch }}/k9s

k9s-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/k9s
    - target: {{ k9s.release_dir }}/k9s-v{{ k9s.version }}-{{ k9s.os }}-{{ k9s.arch }}/k9s
    - force: true
    - require:
      - archive: k9s-archive-extract

k9s-cleanup:
  software.cleanup:
    - name: k9s
    - path: {{ k9s.release_dir }}
    - version: "v{{ k9s.version }}"
